Nexon Co Ltd ADR

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1619568000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://pdf.irpocket.com/C3659/bxTh/SDDC/wbxu.pdf",
    "holding_balance": 1717.0,
    "holding_net_change": 1717.0,
    "transaction_value_usd": 99974042.0,
    "average_entry_value_usd": 58226.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    1717.0
  ],
  [
    1782950400000,
    1717.0
  ],
  [
    1783036800000,
    1717.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    102959132.35
  ],
  [
    1782950400000,
    105574604.11
  ],
  [
    1783036800000,
    107357124.83
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 13.18,
    "date": "2026-06-30",
    "high": 13.5,
    "open": 13.5,
    "close": 13.26,
    "volume": 162800
  },
  {
    "low": 13.362,
    "date": "2026-07-01",
    "high": 13.49,
    "open": 13.49,
    "close": 13.46,
    "volume": 102600
  },
  {
    "low": 13.745,
    "date": "2026-07-02",
    "high": 13.92,
    "open": 13.92,
    "close": 13.81,
    "volume": 41800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 1.246,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -4.65,
  "six_month_return": -43.59,
  "three_month_return": -21.54
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/nexon-co-ltd-adr/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.0,
  "total_btc_percentage": 0.008,
  "share_price_change_state": "up"
}